<div class="modal-header">
  <h4 class="modal-title">Export CVs</h4>
  <button type="button" class="btn" aria-label="Close" (click)="activeModal.dismiss('close')">
    <i class="bi bi-x-lg"></i>
  </button>
</div>
<div class="modal-body">
  <div class="form-group">
    <label class="form-control-label" jhiTranslate="candidateManagement.filter.filterList">Filter list</label>
    <div>
      <ng-select [items]="filterList" bindLabel="name" bindValue="id" [(ngModel)]="filterListId" [clearable]="false"
        placeholder="{{'candidateManagement.filter.filterList' | translate}}"></ng-select>
    </div>
  </div>
  <div class="form-group">
    <label class="form-control-label">Choose fields to export your candidate file:</label>
    <div class="export-excel-columns">
      <div class="form-check" *ngFor="let column of columns">
        <input type="checkbox" class="form-check-input hand" [id]="'dropdownCheck' + column.key" [value]="column.key"
          (change)="onSelectColumn($event)" [checked]="column.show">
        <label class="form-check-label font-weight-normal hand" [for]="'dropdownCheck' + column.key"
          [jhiTranslate]="'candidateManagement.table.' + column.key">
          {{column.label}}
        </label>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn" (click)="activeModal.dismiss('close')">Cancel</button>
  <button type="button" class="btn btn-primary" (click)="onSubmit()" [disabled]="isDisableSubmit">Save</button>
</div>